<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>com.steerinfo</groupId>
		<artifactId>icore-paas</artifactId>
		<version>1.0</version>
	</parent>
	<groupId>com.steerinfo</groupId>
	<artifactId>ems-server</artifactId>
	<version>1.0</version>
	<packaging>jar</packaging>
	<name>ems-server</name>
	<url>http://maven.apache.org</url>

	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
	</properties>
	
	<dependencies>
	    <!-- 
        <dependency>
            <groupId>com.steerinfo</groupId>
            <artifactId>sqlparser</artifactId>
            <version>1.0</version>
        </dependency>
         -->
        <dependency>
            <groupId>com.hnshituo</groupId>
            <artifactId>icore-rtdb</artifactId>
            <version>2.1.2</version>
        </dependency>
        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
            <version>5.1.46</version>
        </dependency>
		<dependency>
			<groupId>com.steerinfo</groupId>
			<artifactId>framework</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-web</artifactId>
			<version>5.0.4.RELEASE</version>
		</dependency>
		<dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi-ooxml</artifactId>
            <version>3.17</version>
        </dependency>
	</dependencies>

	<build>
		<!--自运行 -->
		<resources>
			<resource>
				<directory>src/main/java</directory>
				<includes>
					<include>**/*.class</include>
					<include>**/*.xml</include>
				</includes>
				<filtering>false</filtering>
			</resource>
			<resource>
				<directory>lib</directory>
				<targetPath>BOOT-INF/lib/</targetPath>
				<includes>
					<include>**/*.jar</include>
				</includes>
			</resource>
			<resource>
				<directory>src/main/resources</directory>
				<targetPath>BOOT-INF/classes/</targetPath>
			</resource>
			<resource>
				<directory>src/main/resources</directory>
				<filtering>false</filtering>
				<includes>
					<include>*.key</include>
					<include>*.properties</include>
					<include>*.yml</include>
					<include>*.xml</include>
					<include>static/**</include>
					<include>i18n/**</include>
					<include>templates/**</include>
				</includes>
			</resource>
			<resource>
				<directory>src/main/java</directory>
				<includes>
					<include>**/*.xml</include>
				</includes>
				<filtering>false</filtering>
			</resource>
		</resources>

		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
				<configuration>
					<!-- fork : 如果没有该项配置，devtools不会起作用，即应用不会restart -->
					<!-- <fork>true</fork> -->
					<mainClass>com.steerinfo.SysManageApplication</mainClass>
				</configuration>
			</plugin>


			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<configuration>
					<compilerVersion>${java.version}</compilerVersion>
					<source>${java.version}</source>
					<target>${java.version}</target>
					<encoding>${project.build.sourceEncoding}</encoding>
				</configuration>
			</plugin>
			
			<!-- 自动生成代码文件 -->
			  <!--<plugin>
				<groupId>com.steerinfo</groupId>
				<artifactId>generator-maven-plugin</artifactId>
				<version>3.0</version>
				<configuration>
				  <connUrl>jdbc:oracle:thin:@(DESCRIPTION = (ADDRESS = (PROTOCOL =
						TCP)(HOST = 172.16.100.133)(PORT = 1521)) (CONNECT_DATA = (SERVER =
						DEDICATED) (SERVICE_NAME = PROD) ))</connUrl>
				  <user>ems_test</user>
				  <password>zgems</password>
				  <targetPackage>com.steerinfo.ems</targetPackage>
				  <tables>
					<param>T_RM_DS_VALUE </param>
				  </tables>
				</configuration>
				<executions>
					<execution>
						<phase>compile</phase>
						<goals>
							<goal>steerinfo</goal>
						</goals>
					</execution>
				</executions>
			  </plugin>-->
		</plugins>
		
		<pluginManagement>
			<plugins>
				<!-- This plugin's configuration is used to store Eclipse m2e settings 
					only. It has no influence on the Maven build itself. -->
				<plugin>
					<groupId>org.eclipse.m2e</groupId>
					<artifactId>lifecycle-mapping</artifactId>
					<version>1.0.0</version>
					<configuration>
						<lifecycleMappingMetadata>
							<pluginExecutions>
								<pluginExecution>
									<pluginExecutionFilter>
										<groupId>com.steerinfo</groupId>
										<artifactId> generator-maven-plugin </artifactId>
										<versionRange> [0.0.1,)</versionRange>
										<goals>
											<goal>steerinfo</goal>
										</goals>
									</pluginExecutionFilter>
									<action>
										<ignore></ignore>
									</action>
								</pluginExecution>
							</pluginExecutions>
						</lifecycleMappingMetadata>
					</configuration>
				</plugin>
			</plugins>
		</pluginManagement>		
	</build>
</project>